Package as Appimage

Post your Gambas programming questions here.
tercoIDE
Posts: 9
Joined: Monday 27th April 2020 2:32pm

Re: Package as Appimage

Post by tercoIDE » Monday 16th August 2021 2:13pm

Testing it, Bruce, thanks for sharing. Will post feedback afterwards.

User avatar
BruceSteers
Posts: 652
Joined: Thursday 23rd July 2020 5:20pm

Re: Package as Appimage

Post by BruceSteers » Monday 16th August 2021 7:37pm

somebody HAS made an app image.
search the gambas m/l for appimage.
http://lists.gambas-basic.org/pipermail/user/
Wishing well
Bruce

If at first you don't succeed , try it differently.

tercoIDE
Posts: 9
Joined: Monday 27th April 2020 2:32pm

Re: Package as Appimage

Post by tercoIDE » Tuesday 17th August 2021 8:09pm

Maybe I am doing something wrong, but the GambasAppInstallMaker did not solved the problem. It gathered the depdndencies, and created the .sh witch I run via sudo at a terminal with no errors. Then the Software manager installed the deb, but there was a conflict between gb versions:
-the SH installed 3.15.2,
-deb needed 3.16 (stable PPA)

, so my app couldn't run. I will investigate AppMain or other options.
Thanks anyway.

User avatar
BruceSteers
Posts: 652
Joined: Thursday 23rd July 2020 5:20pm

Re: Package as Appimage

Post by BruceSteers » Wednesday 18th August 2021 1:04am

the installer does not install any particular version, the version it installs depends on how you have apt set up.

if you need the ppa stable version you have to add the ppa to your apt and run apt-get update
not just use the default version your distro has on it's repo.

That's down to you not my installer.
the installer installs your apps dependencies (gambas components) gambas components your app needs.
Wishing well
Bruce

If at first you don't succeed , try it differently.

User avatar
BruceSteers
Posts: 652
Joined: Thursday 23rd July 2020 5:20pm

Re: Package as Appimage

Post by BruceSteers » Wednesday 18th August 2021 1:10am

try this to add the gambas stable ppa and re-install the newer gambas version...

sudo add-apt-repository ppa:gambas-team/gambas3
sudo apt-get update
sudo apt-get purge gambas3*
sudo at-get install gambas3*
Wishing well
Bruce

If at first you don't succeed , try it differently.

Post Reply